[Guide] Community noob guide to Wii U hacking

Discussion in 'Wii U - Tutorials' started by Kafluke, Nov 29, 2016.

  1. DaBronze9774

    DaBronze9774 Newbie

    Newcomer
    1
    Mar 6, 2019
    United States
    Excellent. I'll read up on that. Thanks for the detail!!!
     
  2. chrisa1978

    chrisa1978 Member

    Newcomer
    1
    Jan 19, 2019
    Australia
    Well Ive worked out how inject the Wii games now. Just about to start on GameCube now. Just a question I've homebrewed the VWii > Could I install "Wiiflow" on there without the risk on bricking the console. I've watched a few vids but still not clear.
     
  3. toxic9

    toxic9 GBAtemp Regular

    Member
    2
    Dec 13, 2016
    Hi friend. After you try WiiFlow you will skip that injecting thing.. so borring and painful.
    Wiiflow is regionfree and so simple as drag n drop roms/isos/wbfs... you dont have to inject and adjust thousand settings.
    You dont have to install Wiiflow. it runs off the SD card on homebrew channel.
    You can install a forwarder channel anyway (shortcut on Home menu).
    Just be sure you pick the vWii version forwarder and you don't brick anything.
     
  4. chrisa1978

    chrisa1978 Member

    Newcomer
    1
    Jan 19, 2019
    Australia
    Do i have to install CIOS or IOS80 first ? Then install wiiflow ? I just want to use it to run my roms. Can u recommend a version too please. Also is Nintendont multi regional ?

    Sent from my SM-N920I using Tapatalk
     
    Last edited by chrisa1978, Mar 8, 2019
  5. Dirtydubya

    Dirtydubya Member

    Newcomer
    1
    Feb 22, 2017
    United States
    It's been so long since I've messed with my wii u beyond adding games to my SD card and launching from loadiine. I'm still on 5.5.1. The other day my console told me I needed to update to play Lego Jurassic World.

    Since it seems 5.5.3 is safe what all do I need to do before updating? Do I need to uninstall and/or reinstall anything before after updating?
     
  6. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    22
    Oct 27, 2002
    France
    Engine room, learning
    yes, you can't brick vWii if you don't touch/install random cIOS.
    game playing from a loader is safe.
    what can be at risk is installing wad to vWii. and it has limited space (less than 500MB). there are emuNAND for safe and unlimited WAD install.

    Do not mess with cIOS80. even if there is 0 brick report, it's always dangerous. it's only used to launch WAD installed channels on your official "SD menu".
    prefer using emuNAND instead to launch WAD installed channels, unlimited, region free and brick free. not all games will work, and you'll either need cIOS80+install on vWii, or neek (more complicated way to use emuNAND).
    for now, don't focus on WiiWare/VC. just be happy with Wii/gamecube :)


    to play gamecube, you don't need to install a cIOS.
    you only need sd:/nintendont/boot.dol on your SD card.
    nintendont is a homebrew, there's no install, it's region free and play all GC games.

    it can be integrated to Wiiflow or USBLoaderGX.


    to play Wii games from HDD, you need a cIOS.
    only one ! don't follow tutorials telling bad things.
    look into the "vWii hacking guide" on gbatemp hacking pinned thread. install "base57" in slot 249. that's all.
    don't mess more with cIOS and you will not brick.
    NEVER install a IOS from wad. you will brick for sure. use the installer.

    seeing your USA flag, I suppose you have a USA console.
    disable DNS or any filtering.
    go to setting and update officially.
    Done :)

    if you have a EUR console, and haxchi : same, just update, done !
    if you have a EUR console and CBHC, you'll have to reinstall CBHC after the update. ask for help before updating.
     
    Last edited by Cyan, Mar 9, 2019
  7. Dirtydubya

    Dirtydubya Member

    Newcomer
    1
    Feb 22, 2017
    United States

    Okay cool. I think the reason the message showed up to start with is because I had unblocked the eshop so I could use the Wii U USB Helper program. Thank you!
     
  8. chrisa1978

    chrisa1978 Member

    Newcomer
    1
    Jan 19, 2019
    Australia
    Thanks Cyan. More useful tips . Cheers

    Sent from my SM-N920I using Tapatalk
     
  9. Sawaki

    Sawaki Newbie

    Newcomer
    1
    Mar 14, 2019
    Lebanon
    I'm trying to install Haxchi on my wii u 5.5.3 but keep getting the a message that payload.elf is missing. What step am I missing here?
     
  10. hemi426

    hemi426 Advanced Member

    Newcomer
    3
    Mar 16, 2018
    Belgium
    you are missing a file on your sd card make sure you follow the noob guide and setup your sd card correctly
     
  11. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    22
    Oct 27, 2002
    France
    Engine room, learning
    like he said, and you already had the solution to your problem in your error message : you are missing payload.bin
    the new 5.5.3 stable exploit requires a file on SD card, while old (unstable) exploit downloaded the file from the site you visited. the time spent to download the file was the problem of the unstability (the hack is a race hack, meaning timing is important). having the payload.bin on SD card seems to have fix this problem.

    the guide on the first post tells you where to get and where to put the payload.bin file.
    attention, it's NOT on the SD card's root, it's in the sd:\wiiu\ folder!
     
    Last edited by Cyan, Mar 14, 2019
  12. chrisa1978

    chrisa1978 Member

    Newcomer
    1
    Jan 19, 2019
    Australia
    Just a question. Im almost done with hacking the wii u now. Ive injected a few games about 8. But im trouble finding the PAL games online that i want . Is there a way to inject NTSC games and make them playable on a PAL console. Im only after a couple more Wii games . A proper noob question

    Sent from my SM-N920I using Tapatalk
     
    Last edited by chrisa1978, Mar 15, 2019
  13. hemi426

    hemi426 Advanced Member

    Newcomer
    3
    Mar 16, 2018
    Belgium
    we can't share links here.use google,i think different region for wii injection might work ,gc will not that i'm 100% sure.there are lots of wii games on the eshop you can download with usb helper if you know the workaround
     
  14. Kafluke
    OP

    Kafluke GBAtemp Psycho!

    Member
    13
    May 6, 2006
    United States
    Been a while. How is everyone? Thank you @Cyan for keeping this relevant. I've been focusing entirely on Switch for the past year.

    Have I missed anything? Do I need to update anything? Sorry for neglecting my loved Wii U community.
     
  15. Zap2000

    Zap2000 GBAtemp Fan

    Member
    3
    Oct 19, 2018
    United Kingdom



    Hi guys can u help me. I use usb helper on pc for my games. What’s the difference with the ones with CFW tick picked are they non legit ones? I only installed the non CFW ones can someone explain the difference and if they safe to install?
     
  16. hemi426

    hemi426 Advanced Member

    Newcomer
    3
    Mar 16, 2018
    Belgium
    it means you have to run cfw to be able to use it like out-of-region games,homebrew. everything on usb helper is safe
     
  17. Zap2000

    Zap2000 GBAtemp Fan

    Member
    3
    Oct 19, 2018
    United Kingdom

    Ok I see there a lot of vc games in there and the GameCube games are pink. Do I just install like a normal wii u with the wad installer and can I install Mario sunshine like this it’s in there in pink?
     
  18. hemi426

    hemi426 Advanced Member

    Newcomer
    3
    Mar 16, 2018
    Belgium
    No you need Nintendont to run GC,best option is wiivc injector techmoon(my personal opinion).look for the thread in gbatemp
     
  19. Zap2000

    Zap2000 GBAtemp Fan

    Member
    3
    Oct 19, 2018
    United Kingdom

    Ok il look that up if I get that do I not need nintendont? I only have my wii u hacked not v wii will that make a difference?

    Also the other games that are in CFW VC games list do I have to inject them or just install them like wii games with wud installer? Like old Kirby games etc
     
  20. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    22
    Oct 27, 2002
    France
    Engine room, learning
    Hello :)

    you missed a new 100% stable 5.5.3 browser exploit.
    so I updated the guide to reflect that, and tried to keep all possible combination of hacking methods, but felt it became too much work (for us, and for users).
    I ended deleting old methods and focusing only on using latest firmware version.

    I rewrote fully the 2-3 first sections. I added more information about haxchi, what it is, how to use it.
    I didn't touch the following sections yet, but I'd like to rewrite them too. it's a lot of work so I don't know when I'll do it. for now it's not conflicting (too much) with the new rewritten sections so it's fine.

    I'd like you to give me your picture (pdf ?) so I can update it to reflect the new guide.

    The games requiring CFW is just that, it means it required Custom firmware to install or play.
    this is something that lot of users didn't understand : you don't always need CFW to play games !
    some games can be installed and launched without being in CFW state, and an OFW is just fine :)

    CFW is needed from few games (the one available on eshop only, never sold in disc format), all DLCs, or Game from another region.

    If you have CBHC, then don't worry, you already have CFW all the time on your console.
    if you use haxchi, then you need to first launch haxchi's "sysmenu" option before either installing or playing the "CFW required" title.
    if you use browserhax, then you need to first launch HBL, then a sigpatcher, before either installing or playing a "CFW required" title.
    if you use haxchi or browserhax, you don't need to launch any of them before launching a "non CFW required" title.

    There are 2 (at least) exceptions to that : you can install zelda or SSB DLC, and still can launch them without CFW, but you need to do additional steps to edit internal files content.
    But this is reserved to users who prefer keeping their consoles in Official, untouched, state. if you don't want to worry about CFW, just install haxchi or even better CBHC and forget about all requirements.
     
    Last edited by Cyan, Mar 17, 2019 at 5:48 PM
Loading...